Hooks:PostHook( WeaponFactoryTweakData, "init", "DP28ModInit", function(self)
	
	self.wpn_fps_lmg_dp28.stock_adapter = "wpn_fps_upg_m4_s_adapter"
	for _, part_id in pairs(self.wpn_fps_lmg_dp28.uses_parts) do
		if self.parts[part_id].type == "sight" and part_id ~= "wpn_fps_lmg_dp28_o_dummy" then
			self.wpn_fps_lmg_dp28.adds[part_id] = {"wpn_fps_lmg_dp28_rail_sight", "wpn_fps_lmg_dp28_ro_rail"}
			self.parts.wpn_fps_lmg_dp28_barrel_dpm36.override[part_id] = {adds={"wpn_fps_lmg_dp28_rail_sight", "wpn_fps_lmg_dp28_ro_rail", "wpn_fps_lmg_dp28_stance_dpm36"}}
			self.parts.wpn_fps_lmg_dp28_m_dt.override[part_id] = {adds={"wpn_fps_lmg_dp28_rail_sight", "wpn_fps_lmg_dp28_ro_rail", "wpn_fps_lmg_dp28_stance_dpm36"}}
			table.insert(self.parts.wpn_fps_lmg_dp28_m_dpm36.forbids, part_id)
		end
	--	if self.parts[part_id].type == "stock" and part_id ~= "wpn_fps_lmg_dp28_stock_standard" and part_id ~= "wpn_fps_lmg_dp28_stock_dpm" and part_id ~= "wpn_fps_lmg_dp28_stock_dt" then
	--		self.wpn_fps_lmg_dp28.adds[part_id] = {"wpn_fps_lmg_dp28_stock_adapter"}
	--	end
	end
	
	self.wpn_fps_lmg_dp28.adds.wpn_fps_upg_m4_s_adapter = {"wpn_fps_lmg_dp28_stock_adapter"}
	
	self.parts.wpn_fps_lmg_dp28_m_dpm35.weapon_reload_override 	 = {bm_w_dp28 = "par"} 
    self.parts.wpn_fps_lmg_dp28_m_dpm35.timer_adder = {
            reload_empty = 3.5,
            reload_not_empty = 3.5
        }
		
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_lmg_dp28 = {translation = Vector3(0, 10, -4)}
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_lmg_dp28 = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_g3)
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_lmg_dp28.translation = Vector3(-3.1, -2, -8.24)
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_lmg_dp28 = deep_clone(self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_g3)
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_lmg_dp28.translation = Vector3(-3.1, -2, -8.24)

end )