Hooks:PostHook( WeaponTweakData, "init", "DP28ModInit", function(self)
if ( self.dp28 ) then
	self.dp28.animations.bipod_enter = "bipod_enter"
	self.dp28.animations.bipod_exit = "bipod_exit"
	self.dp28.animations.bipod_recoil = "bipod_recoil"
	self.dp28.animations.bipod_recoil_enter = "bipod_recoil"
	self.dp28.animations.bipod_recoil_loop = "bipod_recoil_loop"
	self.dp28.animations.bipod_recoil_exit = "bipod_recoil_exit"
	self.dp28.spread.bipod = default_bipod_spread
	self.dp28.bipod_camera_spin_limit = 45
	self.dp28.bipod_camera_pitch_limit = 20
	self.dp28.bipod_weapon_translation = Vector3(0,8,-7)
	self.dp28.bipod_deploy_multiplier = 1
	self.dp28.timers.deploy_bipod = 0.1
	
	self.dp28.shell_ejection = "effects/payday2/particles/weapons/shells/shell_556"
	self.dp28.muzzleflash = "effects/payday2/particles/weapons/big_762_auto_fps"
	
	self:SetupAttachmentPoint("dp28", {
        name = "a_clip2",
        base_a_obj = "a_clip",
        part_attach_data = {{"wpn_fps_lmg_dp28_m_standard"},"g_casing"},
        position = Vector3(-0.65, 10, 7.6),     --   position = Vector3(-0.65, 16.1, 4.2),
        rotation = RotationCAP(0, -90, 0)
    })
	self:SetupAttachmentPoint("dp28", {
        name = "a_clip3",
        base_a_obj = "a_clip",
        part_attach_data = {{"wpn_fps_lmg_dp28_m_dt"},"g_casing"},
        position = Vector3(-0.65, 5.7, 11.7),    --    position = Vector3(-0.65, 11.8, 8.3),
        rotation = RotationCAP(0, -90, 0)
    }) 
	self:SetupAttachmentPoint("dp28", {
        name = "a_upper",
        base_a_obj = "a_upper",
        part_attach_data = {{"wpn_fps_lmg_dp28_upper_dpm35"},"g_frame"},
        position = Vector3(0, 29.3, 12),
        rotation = RotationCAP(0, 0, 0)
    })
	self:SetupAttachmentPoint("dp28", {
        name = "a_m_dpm35",
        base_a_obj = "a_m",
        part_attach_data = {{"wpn_fps_lmg_dp28_upper_dpm35"},"g_frame"},
        position = Vector3(-9.9, 19, -9.5),
        rotation = RotationCAP(0, 0, 0)
    })
	self:SetupAttachmentPoint("dp28", {
        name = "a_bp_dp",
        base_a_obj = "a_bp",
        part_attach_data = {{"wpn_fps_lmg_dp28_tripod_top"},"g_frame"},
        position = Vector3(0, 21, -1.5),
        rotation = RotationCAP(0, 0, 0)
    })
	self:SetupAttachmentPoint( "dp28", {
			name = "a_m",
            base_a_obj = "a_m",
            position = Vector3( -10, 12.35, -17 ), 
            rotation = Rotation( 0, 0, 0 )
	})
	self:SetupAttachmentPoint( "dp28", {
			name = "a_o",
            base_a_obj = "a_o",
            position = Vector3( 6.5, -18, 5.5 ), 
            rotation = Rotation( 0, 0, 0 )
	})
	self:SetupAttachmentPoint( "dp28", {
			name = "a_s",
            base_a_obj = "a_s",
            position = Vector3( 0, -17.4, 5.5 ), 
            rotation = Rotation( 0, 0, 0 )
	})
	self:SetupAttachmentPoint( "dp28", {
			name = "a_carry",
            base_a_obj = "a_body",
            position = Vector3( 10.3, 38, 7.2), 
            rotation = Rotation( -90, 0, 0 )
	})
	self:SetupAttachmentPoint("dp28", {
		name = "a_fl", 
        base_a_obj = "a_fl", 
        position = Vector3( 2.3, 56, 8.6 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("dp28", {
		name = "a_b", 
        base_a_obj = "a_b", 
        position = Vector3( 0, 35, 9 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
	self:SetupAttachmentPoint("dp28", {
		name = "a_b_short", 
        base_a_obj = "a_b", 
        position = Vector3( 0, 20, 9 ), 
        rotation = Rotation( 0, 0, 0 ) 
	})
end
end )